WP3DoubleByteScriptCharacterGroup Class Reference

`#include <WP3DoubleByteScriptCharacterGroup.h>`

Inheritance diagram for WP3DoubleByteScriptCharacterGroup:

## Public Member Functions

| WP3DoubleByteScriptCharacterGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
void | parse (WP3Listener *listener) override
Public Member Functions inherited from WP3FixedLengthGroup
| WP3FixedLengthGroup (const unsigned char groupID)
unsigned char | getGroup () const
Public Member Functions inherited from WP3Part
virtual | ~WP3Part ()

## Protected Member Functions

void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
Protected Member Functions inherited from WP3FixedLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)

## Private Attributes

unsigned short | m_scriptCharacter

## Additional Inherited Members

Static Public Member Functions inherited from WP3FixedLengthGroup
static WP3FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char const groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP3Part
static WP3Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

## WP3DoubleByteScriptCharacterGroup()

WP3DoubleByteScriptCharacterGroup::WP3DoubleByteScriptCharacterGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | groupID )

## Member Function Documentation

## _readContents()

void WP3DoubleByteScriptCharacterGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

override protected virtual

Implements WP3FixedLengthGroup.

## parse()

void WP3DoubleByteScriptCharacterGroup::parse | ( | WP3Listener * | listener | ) |

override virtual

Implements WP3Part.

## Member Data Documentation

## m_scriptCharacter

unsigned short WP3DoubleByteScriptCharacterGroup::m_scriptCharacter

private

Referenced by _readContents(), parse(), and WP3DoubleByteScriptCharacterGroup().

The documentation for this class was generated from the following files:

- WP3DoubleByteScriptCharacterGroup.h
- WP3DoubleByteScriptCharacterGroup.cpp